
var JSSDK_Version = '1.0'

function appCallback(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.success(src);
    } else {
        jsbc[method].config.success(src);
    }
}
function appFailCallback(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.fail(src);
    } else {
        jsbc[method].config.fail(src);
    }
}
function completeCallback(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.complete(src);
    } else {
        jsbc[method].config.complete(src);
    }
}
function finishCallback(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.finish(src);
    } else {
        jsbc[method].config.finish(src);
    }
}
function leftSelect(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.leftSelect(src);
    } else {
        jsbc[method].config.leftSelect(src);
    }
}
function rightSelect(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.rightSelect(src);
    } else {
        jsbc[method].config.rightSelect(src);
    }
}
function resolutionSelect(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.resolutionSelect(src);
    } else {
        jsbc[method].config.resolutionSelect(src);
    }
}
function subScreenSelect(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.subScreenSelect(src);
    } else {
        jsbc[method].config.subScreenSelect(src);
    }
}
function lineSelect(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.lineSelect(src);
    } else {
        jsbc[method].config.lineSelect(src);
    }
}
function onStateChanged(method, src) {
    if (navigator.userAgent.indexOf("iPhone") != -1) {
        jsbc[method].config.onStateChanged(src);
    } else {
        jsbc[method].config.onStateChanged(src);
    }
}
var jsbc = (function JSBC() {
    var ext = {
        readyList: [],
        ready: function(fn) {
            ext.readyList.push(fn);
        },
        loadFinish: function() {
            for (var i in this.readyList) {
                ext.readyList[i]();
            }
        },
        getSystemInfo: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.getSystemInfo.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'getSystemInfo',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.getSystemInfo.config = o;
                jstv_android.getSystemInfo(JSON.stringify(o));
            }
        },
        getNetworkType: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.getNetworkType.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'getNetworkType',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.getNetworkType.config = o;
                jstv_android.getNetworkType(JSON.stringify(o));
            }
        },
        getUserInfo: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.getUserInfo.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'getUserInfo',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.getUserInfo.config = o;
                jstv_android.getUserInfo(JSON.stringify(o));
            }
        },
        getUserInfoForce: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.getUserInfoForce.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'getUserInfoForce',
                    callbackFuncName: 'appCallback',
                    appFailCallback: 'appFailCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.getUserInfoForce.config = o;
                jstv_android.getUserInfoForce(JSON.stringify(o));
            }
        },
        updateTimelineShareData: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.updateTimelineShareData.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'updateTimelineShareData',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    title: ext.updateTimelineShareData.config.title,
                    desc: ext.updateTimelineShareData.config.desc,
                    link: ext.updateTimelineShareData.config.link,
                    imgUrl: ext.updateTimelineShareData.config.imgUrl,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.updateTimelineShareData.config = o;
                jstv_android.updateTimelineShareData(JSON.stringify(o));
            }
        },
        updateAppMessageShareData: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.updateAppMessageShareData.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'updateAppMessageShareData',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    title: ext.updateAppMessageShareData.config.title,
                    desc: ext.updateAppMessageShareData.config.desc,
                    link: ext.updateAppMessageShareData.config.link,
                    imgUrl: ext.updateAppMessageShareData.config.imgUrl,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.updateAppMessageShareData.config = o;
                jstv_android.updateAppMessageShareData(JSON.stringify(o));
            }
        },
        onMenuShareTimeline: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.onMenuShareTimeline.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'onMenuShareTimeline',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    title: ext.onMenuShareTimeline.config.title,
                    desc: ext.onMenuShareTimeline.config.desc,
                    link: ext.onMenuShareTimeline.config.link,
                    imgUrl: ext.onMenuShareTimeline.config.imgUrl,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.onMenuShareTimeline.config = o;
                jstv_android.onMenuShareTimeline(JSON.stringify(o));
            }
        },
        updateShareData: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.updateShareData.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'updateShareData',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    title: ext.updateShareData.config.title,
                    desc: ext.updateShareData.config.desc,
                    link: ext.updateShareData.config.link,
                    imgUrl: ext.updateShareData.config.imgUrl,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.updateShareData.config = o;
                jstv_android.updateShareData(JSON.stringify(o));
            }
        },
        onMenuShareAppMessage: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.onMenuShareAppMessage.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'onMenuShareAppMessage',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    title: ext.onMenuShareAppMessage.config.title,
                    desc: ext.onMenuShareAppMessage.config.desc,
                    link: ext.onMenuShareAppMessage.config.link,
                    imgUrl: ext.onMenuShareAppMessage.config.imgUrl,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.onMenuShareAppMessage.config = o;
                jstv_android.onMenuShareAppMessage(JSON.stringify(o));
            }
        },
        onMenuShareSina: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.onMenuShareSina.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'onMenuShareSina',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    title: ext.onMenuShareSina.config.title,
                    desc: ext.onMenuShareSina.config.desc,
                    link: ext.onMenuShareSina.config.link,
                    imgUrl: ext.onMenuShareSina.config.imgUrl,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.onMenuShareSina.config = o;
                jstv_android.onMenuShareSina(JSON.stringify(o));
            }
        },
        onMenuShareQQ: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.onMenuShareQQ.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'onMenuShareQQ',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    title: ext.onMenuShareQQ.config.title,
                    desc: ext.onMenuShareQQ.config.desc,
                    link: ext.onMenuShareQQ.config.link,
                    imgUrl: ext.onMenuShareQQ.config.imgUrl,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.onMenuShareQQ.config = o;
                jstv_android.onMenuShareQQ(JSON.stringify(o));
            }
        },
        openShareMenu: function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.openShareMenu.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'openShareMenu',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.openShareMenu.config = o;
                jstv_android.openShareMenu(JSON.stringify(o));
            }
        },
        chooseImage: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.chooseImage.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'chooseImage',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    count: ext.chooseImage.config.count,
                    sizeType: ext.chooseImage.config.sizeType,
                    sourceType: ext.chooseImage.config.sourceType,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.chooseImage.config = o;
                jstv_android.chooseImage(JSON.stringify(o));
            }
        },
        chooseVideo: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.chooseVideo.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'chooseVideo',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    maxDuration: ext.chooseVideo.config.maxDuration,
                    sourceType: ext.chooseVideo.config.sourceType,
                    camera: ext.chooseVideo.config.camera,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.chooseVideo.config = o;
                jstv_android.chooseVideo(JSON.stringify(o));
            }
        },
        previewImage: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.previewImage.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'previewImage',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    current: ext.previewImage.config.current,
                    urls: ext.previewImage.config.urls,
                    x: ext.previewImage.config.x,
                    y: ext.previewImage.config.y,
                    w: ext.previewImage.config.w,
                    h: ext.previewImage.config.h,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.previewImage.config = o;
                jstv_android.previewImage(JSON.stringify(o));
            }
        },
        startRecord: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.startRecord.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'startRecord',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.startRecord.config = o;
                jstv_android.startRecord(JSON.stringify(o));
            }
        },
        stopRecord: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.stopRecord.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'stopRecord',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.stopRecord.config = o;
                jstv_android.stopRecord(JSON.stringify(o));
            }
        },
        onVoiceRecordEnd: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.onVoiceRecordEnd.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'onVoiceRecordEnd',
                    callbackFuncName: 'completeCallback',
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.onVoiceRecordEnd.config = o;
                jstv_android.onVoiceRecordEnd(JSON.stringify(o));
            }

        },
        playVoice: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playVoice.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playVoice',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    localId: ext.playVoice.config.localId,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playVoice.config = o;
                jstv_android.playVoice(JSON.stringify(o));
            }
        },
        pauseVoice: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.pauseVoice.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'pauseVoice',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    localId: ext.pauseVoice.config.localId,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.pauseVoice.config = o;
                jstv_android.pauseVoice(JSON.stringify(o));
            }
        },
        stopVoice: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.stopVoice.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'stopVoice',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    localId: ext.stopVoice.config.localId,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.stopVoice.config = o;
                jstv_android.stopVoice(JSON.stringify(o));
            }
        },
        onVoicePlayEnd: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.onVoicePlayEnd.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'onVoicePlayEnd',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.onVoicePlayEnd.config = o;
                jstv_android.onVoicePlayEnd(JSON.stringify(o));
            }
        },
        openLocation: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                //
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.openLocation.config = o;
                jstv_android.openLocation(JSON.stringify(o));
            }
        },
        getLocation: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.getLocation.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'getLocation',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    type: ext.getLocation.config.type,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.getLocation.config = o;
                jstv_android.getLocation(JSON.stringify(o));
            }
        },
        openAPP: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.openAPP.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'openAPP',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    urlSchemes: ext.openAPP.config.urlSchemes,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.openAPP.config = o;
                jstv_android.openAPP(JSON.stringify(o));
            }
        },
        openArticle: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.openArticle.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'openArticle',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    type: ext.openArticle.config.type,
                    sourceid: ext.openArticle.config.sourceid,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.openArticle.config = o;
                jstv_android.openArticle(JSON.stringify(o));
            }
        },
        readArticle: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.readArticle.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'readArticle',
                    callbackFuncName: 'appCallback',
                    finishCallbackFuncName: 'finishCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.readArticle.config = o;
                jstv_android.readArticle(JSON.stringify(o));
            }
        },
        jumpPublish: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                //
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.jumpPublish.config = o;
                jstv_android.jumpPublish(JSON.stringify(o));
            }
        },
        getCommand: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.getCommand.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'getCommand',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.getCommand.config = o;
                jstv_android.getCommand(JSON.stringify(o));
            }
        },
        parseWebText: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                //
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.parseWebText.config = o;
                jstv_android.parseWebText(JSON.stringify(o));
            }
        },
        getWebToken: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.getWebToken.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'getWebToken',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.getWebToken.config = o;
                jstv_android.getWebToken(JSON.stringify(o));
            }
        },
        uploadImage: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.uploadImage.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'uploadImage',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    localId: ext.uploadImage.config.localId,
                    isShowProgressTips: ext.uploadImage.config.isShowProgressTips,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.uploadImage.config = o;
                jstv_android.uploadImage(JSON.stringify(o));
            }
        },
        uploadImages: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                //
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.uploadImages.config = o;
                jstv_android.uploadImages(JSON.stringify(o));
            }
        },
        uploadVideo: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.uploadVideo.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'uploadVideo',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    localId: ext.uploadVideo.config.localId,
                    isShowProgressTips: ext.uploadVideo.config.isShowProgressTips,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.uploadVideo.config = o;
                jstv_android.uploadVideo(JSON.stringify(o));
            }
        },
        uploadVoice: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.uploadVoice.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'uploadVoice',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    localId: ext.uploadVoice.config.localId,
                    isShowProgressTips: ext.uploadVoice.config.isShowProgressTips,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.uploadVoice.config = o;
                jstv_android.uploadVoice(JSON.stringify(o));
            }
        },
        jsbcPay: function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.jsbcPay.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'jsbcPay',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    type: ext.jsbcPay.config.type,
                    orderInfo: ext.jsbcPay.config.orderInfo,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.jsbcPay.config = o;
                jstv_android.jsbcPay(JSON.stringify(o));
            }
        },
        scanQRCode : function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.scanQRCode.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'scanQRCode',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    sourceType: ext.scanQRCode.config.sourceType,
                    autoPushWeb: ext.scanQRCode.config.autoPushWeb,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.scanQRCode.config = o;
                jstv_android.scanQRCode(JSON.stringify(o));
            }
        },
        closePage : function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.closePage.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'closePage',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.closePage.config = o;
                jstv_android.closePage(JSON.stringify(o));
            }
        },
        needShowClosePage : function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.needShowClosePage.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'needShowClosePage',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.needShowClosePage.config = o;
                jstv_android.needShowClosePage(JSON.stringify(o));
            }
        },
        needShowNavBar : function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.needShowNavBar.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'needShowNavBar',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    isShow: ext.needShowNavBar.config.isShow,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.needShowNavBar.config = o;
                jstv_android.needShowNavBar(JSON.stringify(o));
            }
        },
        goToMainPage : function(o) {
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.goToMainPage.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'goToMainPage',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                });
            } else {
                if(null==o){
                    o = {};
                }
                o.JSSDK_Version = JSSDK_Version;
                ext.goToMainPage.config = o;
                jstv_android.goToMainPage(JSON.stringify(o));
            }
        },
        addPlayer:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.addPlayer.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'addPlayer',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.addPlayer.config.tag,
                    type: ext.addPlayer.config.type,
                    url: ext.addPlayer.config.url,
                    thumb: ext.addPlayer.config.thumb,
                    isAutoPlay: ext.addPlayer.config.isAutoPlay,
                    hideProgressbar:ext.addPlayer.config.hideProgressbar,
                    roomId: ext.addPlayer.config.roomId,
                    isLive: ext.addPlayer.config.isLive,
                    ads: ext.addPlayer.config.ads,
                    x: ext.addPlayer.config.x,
                    y: ext.addPlayer.config.y,
                    w: ext.addPlayer.config.w,
                    h: ext.addPlayer.config.h,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.addPlayer.config = o;
                jstv_android.addPlayer(JSON.stringify(o));
            }
        },
        removePlayer:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.removePlayer.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'removePlayer',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.removePlayer.config.tag,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.removePlayer.config = o;
                jstv_android.removePlayer(JSON.stringify(o));
            }
        },
        playerSetUrl:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playerSetUrl.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playerSetUrl',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.playerSetUrl.config.tag,
                    url: ext.playerSetUrl.config.url,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playerSetUrl.config = o;
                jstv_android.playerSetUrl(JSON.stringify(o));
            }
        },
        playerGetInfo:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playerGetInfo.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playerGetInfo',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.playerGetInfo.config.tag,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playerGetInfo.config = o;
                jstv_android.playerGetInfo(JSON.stringify(o));
            }
        },
        playerPlay:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playerPlay.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playerPlay',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.playerPlay.config.tag,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playerPlay.config = o;
                jstv_android.playerPlay(JSON.stringify(o));
            }
        },
        playerStop:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playerStop.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playerStop',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.playerStop.config.tag,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playerStop.config = o;
                jstv_android.playerStop(JSON.stringify(o));
            }
        },
        setPlayerStateListener:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.setPlayerStateListener.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'setPlayerStateListener',
                    onStateChanged: 'onStateChanged',
                    version: JSSDK_Version,
                    tag: ext.setPlayerStateListener.config.tag,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.setPlayerStateListener.config = o;
                jstv_android.setPlayerStateListener(JSON.stringify(o));
            }
        },
        setMenu:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.setMenu.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'setMenu',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.setMenu.config.tag,
                    resolution: ext.setMenu.config.resolution,
                    subScreen: ext.setMenu.config.subScreen,
                    line: ext.setMenu.config.line,
                    resolutionSelect: 'resolutionSelect',
                    subScreenSelect: 'subScreenSelect',
                    lineSelect: 'lineSelect',
                    resolutionSelectIndex: ext.setMenu.config.resolutionSelectIndex,
                    lineSelectIndex: ext.setMenu.config.lineSelectIndex,
                    subScreenSelectIndex: ext.setMenu.config.subScreenSelectIndex,
                    hideProgressbar: ext.setMenu.config.hideProgressbar,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.setMenu.config = o;
                jstv_android.setMenu(JSON.stringify(o));
            }
        },
        addDanmaku:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.addDanmaku.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'addDanmaku',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.addDanmaku.config.tag,
                    danmaku: ext.addDanmaku.config.danmaku,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.addDanmaku.config = o;
                jstv_android.addDanmaku(JSON.stringify(o));
            }
        },
        playerPause:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playerPause.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playerPause',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.playerPause.config.tag,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playerPause.config = o;
                jstv_android.playerPause(JSON.stringify(o));
            }
        },
        setHalfScreenTopItems:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.setHalfScreenTopItems.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'setHalfScreenTopItems',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.setHalfScreenTopItems.config.tag,
                    leftImage:ext.setHalfScreenTopItems.config.leftImage,
                    leftSelect: 'leftSelect',
                    rightImage:ext.setHalfScreenTopItems.config.rightImage,
                    rightSelect: 'rightSelect',
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.setHalfScreenTopItems.config = o;
                jstv_android.setHalfScreenTopItems(JSON.stringify(o));
            }
        },
        playerSetVol:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playerSetVol.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playerSetVol',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.playerSetVol.config.tag,
                    vol: ext.playerSetVol.config.vol,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playerSetVol.config = o;
                jstv_android.playerSetVol(JSON.stringify(o));
            }
        },
        playerSetScreenMode:function(o){
            if (navigator.userAgent.indexOf("iPhone") != -1) {
                ext.playerSetScreenMode.config = o;
                window.webkit.messageHandlers.litchiNewsBridge.postMessage({
                    operationType: 'playerSetScreenMode',
                    callbackFuncName: 'appCallback',
                    version: JSSDK_Version,
                    tag: ext.playerSetScreenMode.config.tag,
                    screenMode: ext.playerSetScreenMode.config.screenMode,
                });
            } else {
                o.JSSDK_Version = JSSDK_Version;
                ext.playerSetScreenMode.config = o;
                jstv_android.playerSetScreenMode(JSON.stringify(o));
            }
        }
    };
    return ext;
})();

function parseWebText(src) {
    jsbc.parseWebText({
        text: document.body.innerText
    });
}

function readArticle() {
    jsbc.readArticle({});
}

function jumpPublish() {
    jsbc.jumpPublish({});
}

function loadFinish() {
    jsbc.loadFinish();
}